require_relative 'player' 

module StudioGame 
  class BerserkPlayer < Player 

    def initialize(name, health)
      super(name, health)
      @woot_count = 0 
    end 

    def berserk?
      @woot_count > 5
    end 

    def woot 
      super 
      @woot_count += 1
      puts "Berserker is berserk!" if @woot_count > 5
    end 

    def blam 
      berserk? ? woot : super 
    end 	
    
  end 
end   

if __FILE__ == $0
  berserker = StudioGame::BerserkPlayer.new('berserker', 50)
  6.times {berserker.woot} 
  4.times {berserker.blam}
  puts berserker.health 
end 


  

